Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class RawPastRegrTest.VersionedTestPastContent

    java.lang.Object
      rice.p2p.past.testing.RawPastRegrTest.TestPastContent
          rice.p2p.past.testing.RawPastRegrTest.VersionedTestPastContent

All Implemented Interfaces:
  java.io.Serializable, PastContent, RawPastContent

Direct Known Subclasses:
  RawPastRegrTest.NonOverwritingTestPastContent

Enclosing class:
  RawPastRegrTest

    protected static class RawPastRegrTest.VersionedTestPastContent

extends RawPastRegrTest.TestPastContent

See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`
`protected int` | `version`

Fields inherited from class rice.p2p.past.testing.RawPastRegrTest.TestPastContent
`existing, id`

Constructor Summary
`RawPastRegrTest.VersionedTestPastContent(Id id, int version)`
`RawPastRegrTest.VersionedTestPastContent(InputBuffer buf, Endpoint endpoint, PastContentDeserializer pcd)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.past.testing.RawPastRegrTest.TestPastContent
`checkInsert, getHandle, getId, isMutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### version

    protected int version

Constructor Detail

### RawPastRegrTest.VersionedTestPastContent

    public RawPastRegrTest.VersionedTestPastContent(Id id,
                                                    int version)

### RawPastRegrTest.VersionedTestPastContent

    public RawPastRegrTest.VersionedTestPastContent(InputBuffer buf,
                                                    Endpoint endpoint,
                                                    PastContentDeserializer pcd)
                                             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `RawPastRegrTest.TestPastContent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RawPastRegrTest.TestPastContent`

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawPastContent`
  Overrides:
    `getType` in class `RawPastRegrTest.TestPastContent`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawPastContent`
  Overrides:
    `serialize` in class `RawPastRegrTest.TestPastContent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.